﻿using UnityEngine;
using System.Collections;

namespace player
{
    public class TentacleIdleBehavior : StateMachineBehaviour
    {
        // OnStateEnter is called when a transition starts and the state machine starts to evaluate this state
        override public void OnStateEnter(Animator animator, AnimatorStateInfo stateInfo, int layerIndex)
        {
            if (animator.gameObject.GetComponent<TentacleAnimator>() != null &&
                animator.gameObject.GetComponent<TentacleAnimator>().OnIdleStateReached != null) { // Null on first idle
                animator.gameObject.GetComponent<TentacleAnimator>().OnIdleStateReached();
            }
        }
    }

}