﻿using UnityEngine;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace sushi
{
    public class KillAnythingWithPenalties : MonoBehaviour
    {
        [SerializeField]
        private int sushiPenalty;

        public void OnTriggerEnter(Collider other) // On a Trigger Entering this
        {
            if (other.gameObject.GetComponent<SushiController>() != null) {
                this.Penalize(this.sushiPenalty);
            }
            MonoBehaviour.Destroy(other.gameObject);
        }

        private void Penalize(int penalty)
        {
            core.Game.game.AddToScore(penalty);
        }
    }
}
